table.insert( actions,
{
		id          = "RADIOACTIVE_TRAIL",
		name 		= "Toxic Sludge Trail",
		description = "Releases a trail of toxic sludge",
		sprite 		= "files/ui_gfx/gun_actions/radioactive_trail.png",
		sprite_unidentified = "files/ui_gfx/gun_actions/radioactive_trail.png",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "2,3,4", -- POISON_TRAIL
		spawn_probability                 = "1,1,1", -- POISON_TRAIL
		price = 160,
		mana = 10,
		--max_uses = 50,
		custom_xml_file = "files/entities/misc/custom_cards/radioactive_trail.xml",
		action 		= function()
			c.game_effect_entities = c.game_effect_entities .. "files/entities/misc/effect_apply_radioactive.xml,"
			c.trail_material = c.trail_material .. "radioactive_liquid,"
			c.trail_material_amount = c.trail_material_amount + 9
			draw_actions( 1, true )
		end,
	})	

table.insert( actions,	
{
		id          = "HITFX_RADIOACTIVE",
		name 		= "Crit on Toxic",
		description = "Crits on Toxic targets",
		sprite 		= "files/ui_gfx/gun_actions/critical_radioactive.png",
		sprite_unidentified = "files/ui_gfx/gun_actions/critical_radioactive.png",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "1,3,4,5", -- HITFX_BURNING_CRITICAL_HIT
		spawn_probability                 = "1,1,1,1", -- HITFX_BURNING_CRITICAL_HIT
		price = 70,
		mana = 10,
		--max_uses = 50,
		action 		= function()
			c.extra_entities = c.extra_entities .. "files/entities/misc/hitfx_critical_radioactive.xml,"
			draw_actions( 1, true )
		end,
	})
	
table.insert( actions,	
{
		id          = "BLOOD_TRAIL_MORE_LOADOUTS",
		name 		= "$action_blood_trail",
		description = "$actiondesc_blood_trail",
		sprite 		= "data/ui_gfx/gun_actions/blood_trail.png",
		sprite_unidentified = "data/ui_gfx/gun_actions/oil_trail_unidentified.png",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "2,3,4", -- oil_TRAIL
		spawn_probability                 = "1,1,1", -- oil_TRAIL
		price = 160,
		mana = 10,
		--max_uses = 50,
		custom_xml_file = "data/entities/misc/custom_cards/blood_trail.xml",
		action 		= function()
			c.trail_material = c.trail_material .. "blood,"
			c.trail_material_amount = c.trail_material_amount + 20
			draw_actions( 1, true )
		end,
	})
	
table.insert( actions,	
{
		id          = "HITFX_EXPLOSION_BLOOD",
		name 		= "Explosion on bloody enemies",
		description = "Causes the projectile to explode upon collision with a creature covered in blood",
		sprite 		= "files/ui_gfx/gun_actions/explode_on_blood.png",
		sprite_unidentified = "files/ui_gfx/gun_actions/explode_on_blood.png",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "1,3,4,5", -- HITFX_BURNING_CRITICAL_HIT
		spawn_probability                 = "1,1,1,1", -- HITFX_BURNING_CRITICAL_HIT
		price = 200,
		mana = 20,
		--max_uses = 50,
		action 		= function()
			c.extra_entities = c.extra_entities .. "files/entities/misc/hitfx_explode_bloody.xml,"
			draw_actions( 1, true )
		end,
	})
	
table.insert( actions,

	{
		id          = "RUMBLING_EARTH",
		name 		= "Rumbling Earth",
		description = "Rumbles the earth",
		--spawn_requires_flag = "card_unlocked_crumbling_earth",
		sprite 		= "files/ui_gfx/gun_actions/rumbling_earth.png",
		sprite_unidentified = "files/ui_gfx/gun_actions/rumbling_earth.png",
		type 		= ACTION_TYPE_PROJECTILE,
		spawn_level                       = "2,3,4,5,6", -- BOMB_HOLY
		spawn_probability                 = "1,1,1,1,1", -- BOMB_HOLY
		price = 200,
		mana = 70, 
		max_uses    = 10, 
		action 		= function()
			add_projectile("files/entities/projectiles/deck/rumbling_earth.xml")
		end,
	})

table.insert( actions,

		{
		id          = "DIRT_TRAIL",
		name 		= "Soil Trail",
		description = "Releases a trail of soil",
		sprite 		= "files/ui_gfx/gun_actions/soil_trail.png",
		sprite_unidentified = "files/ui_gfx/gun_actions/soil_trail.png",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "2,3,4", -- oil_TRAIL
		spawn_probability                 = "1,1,1", -- oil_TRAIL
		price = 160,
		mana = 10,
		--max_uses = 50,
		custom_xml_file = "files/entities/misc/custom_cards/soil_trail.xml",
		action 		= function()
			c.trail_material = c.trail_material .. "soil,"
			c.trail_material_amount = c.trail_material_amount + 30
			draw_actions( 1, true )
		end,
	})
	
--table.insert( actions,

--{
--		id          = "ROCK_STAKE_TRIGGER",
--		name 		= "Rock Stake",
--		description = "A giant rock stake",
--		sprite 		= "data/ui_gfx/gun_actions/heavy_bullet_trigger.png",
--		sprite_unidentified = "data/ui_gfx/gun_actions/heavy_bullet_trigger_unidentified.png",
--		type 		= ACTION_TYPE_PROJECTILE,
--		spawn_level                         = "2,3,4,5,6", -- HEAVY_BULLET_TRIGGER
--		spawn_probability                   = "1,1,1,1,1", -- HEAVY_BULLET_TRIGGER
--		price = 220,
--		mana = 50,
		--max_uses = 20,
--		action 		= function()
--			c.fire_rate_wait = c.fire_rate_wait + 7
--			c.screenshake = c.screenshake + 2.5
--			c.spread_degrees = c.spread_degrees + 2.5
--			--c.damage_critical_chance = c.damage_critical_chance + 5
--			-- c.game_effect_entities = c.game_effect_entities .. "data/entities/misc/effect_disintegrated.xml,"
--			add_projectile_trigger_hit_world("files/entities/projectiles/deck/rock_stake.xml", 1)
--			shot_effects.recoil_knockback = shot_effects.recoil_knockback + 50.0
--		end,
--	})